Package org.postgresql.jdbc

# Enum PreferQueryMode

java.lang.Object
java.lang.Enum<PreferQueryMode>
org.postgresql.jdbc.PreferQueryMode

All Implemented Interfaces:
  `Serializable`, `Comparable<PreferQueryMode>`, `java.lang.constant.Constable`

public enum PreferQueryMode extends Enum<PreferQueryMode>

Specifies which mode is used to execute queries to database: simple means ('Q' execute, no parse, no bind, text mode only), extended means always use bind/execute messages, extendedForPrepared means extended for prepared statements only.

Note: this is for debugging purposes only.

See Also:
  - `PGProperty.PREFER_QUERY_MODE`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXTENDED`
`EXTENDED_CACHE_EVERYTHING`
`EXTENDED_FOR_PREPARED`
`SIMPLE`

## Method Summary

Modifier and Type
Method
Description
`static PreferQueryMode`
`of(String mode)`
`String`
`value()`
`static PreferQueryMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PreferQueryMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SIMPLE

public static final PreferQueryMode SIMPLE

### EXTENDED_FOR_PREPARED

public static final PreferQueryMode EXTENDED_FOR_PREPARED

### EXTENDED

public static final PreferQueryMode EXTENDED

### EXTENDED_CACHE_EVERYTHING

public static final PreferQueryMode EXTENDED_CACHE_EVERYTHING

## Method Details

### values

public static PreferQueryMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PreferQueryMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### of

public static PreferQueryMode of(String mode)

### value

public String value()